Subject: Re: bug#38992: 27.0.60; when enabled, fido-mode seems to break vc-git-grep

From: Stefan Monnier <[email-masked]>
Date: Sun, 08 Mar 2020 12:22:47 -0400

>> Also, I think, for safety, that we still should have in the
>> fido-mode-keymap
>> sth bound to the "atomic" give-me-whatever-is-in-minibuffer
>> command, maybe C-M-j or something like that.  Even if it
>> _does_ break the required-match semantics somewhere else,
>> it just seems like a good idea.
> But why?

I can see reasons why it could be useful in odd corner cases.
What I can't see is why it would be more useful/necessary in fido-mode
than in icomplete-mode or the plain old default mode.

        Stefan